
Robotics Service Bus - Tasks #241
Tasks # 240 (Resolved): Refactor C++ Implementation to 2011-04-13 Domain Model
Renaming of core classes
04/13/2011 06:09 PM - J. Wienke

Status: Resolved Start date: 04/13/2011
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: C++ Estimated time: 0.00 hour
Target version:
Description

    -  Subscriber -> Listener
    -  Publisher -> Informer
    -  RSBEvent -> Event
    -  RSBFactory -> Factory
    -  RSBException -> Exception
    -  TransportFactory -> Factory
    -  Port -> Connector
    -  EventProcessor -> EventProcessingStrategy
    -  AbstractConverter -> Converter
    -  AbstractFilter -> Filter
    -  SpreadPort -> Connector
    -  ConverterCollection -> Repository

Associated revisions
Revision 39d7b2df - 04/14/2011 03:53 PM - J. Wienke

publisher -> informer

refs #241

Revision e50769c1 - 04/14/2011 04:11 PM - J. Wienke

RSBFactory -> Factory

refs #241

Revision 87801818 - 04/14/2011 04:21 PM - J. Wienke

RSBException -> Exception

refs #241

Revision 1fbc476d - 04/14/2011 04:24 PM - J. Wienke

RSBVersion -> Version

refs #241
Revision d1257cb6 - 04/14/2011 04:43 PM - J. Wienke

Port -> Connector

refs #241

History
#1 - 04/13/2011 06:21 PM - J. Wienke
- Category set to C++

#2 - 04/14/2011 02:49 PM - J. Wienke
- Status changed from New to In Progress

#3 - 04/14/2011 03:33 PM - J. Wienke

subscriber -> listenre r596

#4 - 04/14/2011 03:33 PM - J. Wienke
- % Done changed from 0 to 10

#5 - 04/14/2011 03:53 PM - J. Wienke
- % Done changed from 10 to 20

#6 - 04/14/2011 04:43 PM - J. Wienke
- % Done changed from 20 to 50

#7 - 04/14/2011 05:11 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 50 to 100

#8 - 04/14/2011 08:51 PM - J. Wienke
- Assignee set to J. Wienke
